<?php
// include for checking plugin is active or not
include_once ABSPATH . 'wp-admin/includes/plugin.php';
   // For Admin Panel enqueue
	add_action( 'admin_enqueue_scripts','easyTube_admin_enqueue_scripts');
	function easyTube_admin_enqueue_scripts($screen){
	//enqueue style
	//Some Style For easy_tube page only	
	$screenCurrent = get_current_screen();
	if( "easy-tube_page_easy-tube-settings-page" == $screenCurrent->base || "toplevel_page_easy-tube-main-page" == $screenCurrent->base ){
		wp_enqueue_style( 'bootstrap', EASYTUBE_URI.'/assets/admin/css/bootstrap.min.css');
		wp_enqueue_style( 'coloris', EASYTUBE_URI.'/assets/admin/css/coloris.min.css');
		wp_enqueue_style( 'easyTubeMain', EASYTUBE_URI.'/assets/admin/css/easyTube_main.css');
	}
	//End For easy_tube page only
	//enqueue script	
		wp_enqueue_script( 'bootstrap', EASYTUBE_URI.'/assets/admin/js/bootstrap.min.js', array(), '', true);
		wp_enqueue_script( 'easyTube-coloris', EASYTUBE_URI.'/assets/admin/js/coloris.min.js', array('jquery'), '', true);
		wp_enqueue_script( 'easyTube-main', EASYTUBE_URI.'/assets/admin/js/admin-main.js', array('jquery', 'easyTube-coloris'), '', true);	
	}
	// enqueue for Front End
	if ( is_plugin_active(  'easyTube/easyTube.php' ) || is_plugin_active(  'easyTube-1/easyTube.php' ) || is_plugin_active(  'easy-tube/easyTube.php' )) {
	    function easyTube_enqueue_scripts(){
			wp_enqueue_style( 'bootstrap', EASYTUBE_URI.'/assets/admin/css/bootstrap.min.css');
			wp_enqueue_style( 'easyTube-front-main', EASYTUBE_URI.'/assets/css/easyTube-main.css');
			wp_enqueue_script( 'google', 'https://apis.google.com/js/platform.js', array('jquery'), '', true);

			wp_enqueue_script( 'easyTube-main-script', EASYTUBE_URI.'/assets/js/main.js', array('jquery', 'google'), '', true);
			wp_localize_script(
				'easyTube-main-script',
				'easyTubeData',
				array(
					'Api' 		=> get_option('Chanel API'),
					'ChanelPID' => get_option('Chanel PID'),
					'maxResult' => get_option('MaxResult'),
					'Style' 	=> get_option('Style'),
					'ShowMore' 	=> get_option('ShowMOre'),
					'imageurl' 	=> EASYTUBE_URI
				)
			);
		}
	    add_action( 'wp_enqueue_scripts','easyTube_enqueue_scripts');
	}	