<?php

//short code Easy Tube
  add_shortcode('easyTube', 'easyTube_layout');
  function easyTube_layout(){
    $id = get_option('Chanel ID');
    ob_start();
?>
        <div class="jumbotron text-center">
          <div class="row justify-content-center">
            <div class="col-md-8">
              <img src="" class="rounded-circle" alt="Easy Tube Image" id="easyTube-ct">
              <p id="easyTube-cn">Chanel Name</p>
            </div>
          </div>
         
          <div class="row justify-content-center">
            <div class="col-md-5">
              <div class="row justify-content-center">
                <div class="col-md-4">
                  <p><span class="dashicons dashicons-chart-area"></span><span id="easyTube-subscriber"></span></p>
                </div>
                <div class="col-md-4">
                  <p><span class="dashicons dashicons-welcome-view-site"></span><span id="easyTube-cView"></span></p>
                </div>
                <div class="col-sm-4">
                  <p><span class="dashicons dashicons-video-alt3"></span><span id="easyTube-vCount"></span></p>
                </div>
              </div>
            </div>
          </div>
          <div class="row justify-content-center mt-3">
            <div class="col-md-5" id="easyTube-subscribe-button">
              
            </div>
          </div>
        </div>
        <div class="container jumbotron text-center mt-4">
          <div class="row justify-content-center" id="videos_easyTube">
         
          </div>
          <!-- Start video Player Section -->
          <div id="playerSection">
            <div id="ifrm" align="center">
            </div>
          </div>
          <!-- End video Player Section -->
          <div class="row justify-content-center" id="videos_easyTube_showMore">
          </div>
        </div>
        <!-- Pagination -->
        <?php 
          $showMOre = get_option('ShowMOre');
          if($showMOre == "On"){
        ?>
        <div class="container jumbotron" align="center">
          <div class="row justify-content-center">
            <div class="com-md-4">
              <div id="listingTable"></div>
              <button id="btn_next" class="btn">Show More</button>
            </div>
          </div>
        </div>
        <?php
          }
        ?>
        </div>
         <?php
          $sVTv = get_option('sVTv') ? get_option('sVTv') : "Black";
          $fontStyle = get_option('Easy Tube Font Style');
          $subBtn = get_option('Subscriber Button') ? get_option('Subscriber Button') : "Red";
          $subTextColor = get_option('Subscriber Text') ? get_option('Subscriber Text') : "White";
         ?>
        <style>
          .subcribe-easytube{
            color: <?php echo esc_attr($subTextColor); ?>;
            background-color: <?php echo esc_attr($subBtn); ?>;
          } 
          #btn_next{
            color: <?php echo esc_attr($subTextColor); ?>;
            font-family: <?php echo esc_attr($fontStyle); ?>;
            background-color: <?php echo esc_attr($subBtn); ?>;
          }
          #easyTube-subscriber, #easyTube-cView, #easyTube-vCount{
            color: <?php echo esc_attr($sVTv); ?>;
            font-family: <?php echo esc_attr($fontStyle); ?>;
          }
       </style>
<?php

    return ob_get_clean();
  }